Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1887)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1888)
@@ -1003,6 +1003,6 @@
 gnuLicenceName=GNU General Public License version 2
 iAcceptTheLicenceAndAgreeToQuoteTXMInMyWork=I accept TXM license terms and I accept to quote TXM in my publications.
 seeTheQuoteSectionIn=(see the "How to Cite the Textometry project" section in the textometrie.org web site: 
-selectWorkingDirectoryP0=Working directory
+selectWorkingDirectory=Working directory
 options=Options...
 firstLaunchOfTXM=First launch of TXM
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1887)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1888)
@@ -999,6 +999,6 @@
 gnuLicenceName=GNU General Public License version 2
 iAcceptTheLicenceAndAgreeToQuoteTXMInMyWork=J'accepte les termes de la licence et je m'engage à citer TXM dans mes publications
 seeTheQuoteSectionIn=(voir la section 'Citer le logiciel TXM' de la page d'accueil du site 
-selectWorkingDirectoryP0=Répertoire de travail
+selectWorkingDirectory=Répertoire de travail
 options=Options...
 firstLaunchOfTXM=Premier lancement de TXM
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1887)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1888)
@@ -535,7 +535,7 @@
 
 	public static String TXMisDistributedUnderLicence;
 
-	public static String selectWorkingDirectoryP0;
+	public static String selectWorkingDirectory;
 
 	public static String firstLaunchOfTXM;
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ChangeTXMWorkspace.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ChangeTXMWorkspace.java	(revision 1887)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ChangeTXMWorkspace.java	(revision 1888)
@@ -33,11 +33,13 @@
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.resources.ResourcesPlugin;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Status;
 import org.eclipse.equinox.app.IApplication;
 import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.widgets.DirectoryDialog;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.PlatformUI;
@@ -79,7 +81,7 @@
 					syncExec(new Runnable() {
 						@Override
 						public void run() {
-							change();
+							change(null);
 						}
 					});
 
@@ -97,24 +99,25 @@
 		return event;
 	}
 
-	public static boolean change() {
+	public static boolean change(String defaultValue) {
+		if (defaultValue == null) {
+			defaultValue = ResourcesPlugin.getWorkspace().getRoot().getLocation().toFile().getAbsolutePath();
+		}
+		ChooseWorkspaceData launchData = new ChooseWorkspaceData(defaultValue);
+		DirectoryDialog dialog = new DirectoryDialog(Display.getCurrent().getActiveShell());
+		dialog.setText(TXMUIMessages.selectWorkingDirectory);
+		dialog.setMessage("This will restart TXM.");
+		dialog.setFilterPath(defaultValue);
+		String path = dialog.open();
+		if (path == null || defaultValue.equals(path)) {
+			return false;
+		}
+		launchData.workspaceSelected(path);
 		
-		ChooseWorkspaceData launchData = new ChooseWorkspaceData("");
-		ChooseWorkspaceDialog dialog =
-				new ChooseWorkspaceDialog(Display.getCurrent().getActiveShell(), launchData, true, true);
-		dialog.setTitle("Select TXM working directory to use. This will restart TXM.");
-		// don't force prompt : setShowDialogValue is set on error
-		dialog.prompt(true);
-
-		// check choosen path
-		String selWS = launchData.getSelection();
-		if (selWS == null)
-			return false;// user cancelled (no restart)
-
 		// Switch workspace :
 		URL url = null;
 		try {
-			url = new URL("file", "", selWS);
+			url = new URL("file", "", path);
 			launchData.writePersistedData();
 			ChooseWorkspaceData.setShowDialogValue(false);
 			PlatformUI.getWorkbench().restart(); // need to restart TXM to apply changes
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/CGUMessageDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/CGUMessageDialog.java	(revision 1887)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/CGUMessageDialog.java	(revision 1888)
@@ -159,7 +159,7 @@
 		GridData gdata = new GridData(GridData.FILL, GridData.FILL, true, true);
 		bar.setLayoutData(gdata);
 		
-		w = new SelectDirectoryWidget(bar, SWT.NONE, launchData.getInitialDefault(), TXMUIMessages.selectWorkingDirectoryP0);
+		w = new SelectDirectoryWidget(bar, SWT.NONE, launchData.getInitialDefault(), TXMUIMessages.selectWorkingDirectory);
 		//w.setLayoutData(new GridData(GridData.FILL, GridData.BEGINNING, true, false));
 		
 		// "Options"
